diff --git a/test_plans/kernelpf_iavf_test_plan.rst b/test_plans/kernelpf_iavf_test_plan.rst
index 8c7d1ad5..60fbebde 100644
--- a/test_plans/kernelpf_iavf_test_plan.rst
+++ b/test_plans/kernelpf_iavf_test_plan.rst
@@ -44,6 +44,18 @@ Start up VF port::
 
     ./<build_target>/app/dpdk-testpmd -c f -n 4 -- -i
 
+Or set VF port to dcf and start up::
+
+   Enable kernel trust mode:
+
+       ip link set $PF_INTF vf 0 trust on
+
+    ./<build_target>/app/dpdk-testpmd -c f -n 4 -a 0000:18:01.0,cap=dcf -- -i
+
+.. note::
+
+   make dcf as full feature pmd is dpdk22.07 feature, and only support E810 series nic.
+
 Test case: VF basic RX/TX
 =========================
 Set rxonly forward, start testpmd
diff --git a/test_plans/vf_macfilter_test_plan.rst b/test_plans/vf_macfilter_test_plan.rst
index d623cf04..e2f3c355 100644
--- a/test_plans/vf_macfilter_test_plan.rst
+++ b/test_plans/vf_macfilter_test_plan.rst
@@ -77,6 +77,14 @@ Test Case 1: test_kernel_2pf_2vf_1vm_iplink_macfilter
       testpmd> set fwd mac
       testpmd> start
 
+   Or set VF port to dcf and start up::
+
+      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0,cap=dcf -a 00:07.0,cap=dcf -- -i --portmask=0x3
+
+.. note::
+
+      make dcf as full feature pmd is dpdk22.07 feature, and only support E810 series nic.
+
 6. Use scapy to send 100 random packets with ip link set MAC to VF, verify the
    packets can be received by one VF and can be forwarded to another VF
    correctly.
@@ -156,6 +164,14 @@ Test Case 2: test_kernel_2pf_2vf_1vm_mac_add_filter
       testpmd> set fwd mac
       testpmd> start
 
+   Or set VF port to dcf and start up::
+
+      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0,cap=dcf -a 00:07.0,cap=dcf -- -i --portmask=0x3
+
+.. note::
+
+      make dcf as full feature pmd is dpdk22.07 feature, and only support E810 series nic.
+
 6. Use scapy to send 100 random packets with current VF0's MAC, verify the
    packets can be received by one VF and can be forwarded to another VF
    correctly.
diff --git a/test_plans/vf_offload_test_plan.rst b/test_plans/vf_offload_test_plan.rst
index 522fc017..857b2c8b 100644
--- a/test_plans/vf_offload_test_plan.rst
+++ b/test_plans/vf_offload_test_plan.rst
@@ -25,6 +25,20 @@ launch the ``testpmd`` with the following arguments::
   --txht=8 --txwt=0 --txfreet=0 --rxfreet=64 --mbcache=250 --portmask=0x5
   --enable-rx-cksum
 
+Or set VF port to dcf and start up::
+
+   Enable kernel trust mode:
+
+       ip link set $PF_INTF vf 0 trust on
+
+   dpdk-testpmd -c 0x0f -n 4 -a 00:04.0,cap=dcf -a 00:05.0,cap=dcf -- -i --burst=1 --txpt`=32 \
+   --txht=8 --txwt=0 --txfreet=0 --rxfreet=64 --mbcache=250 --portmask=0x5
+   --enable-rx-cksum
+
+.. note::
+
+   make dcf as full feature pmd is dpdk22.07 feature, and only support E810 series nic.
+
 Set the verbose level to 1 to display information for each received packet::
 
   testpmd> set verbose 1
diff --git a/test_plans/vf_rss_test_plan.rst b/test_plans/vf_rss_test_plan.rst
index 846de2d7..75520206 100644
--- a/test_plans/vf_rss_test_plan.rst
+++ b/test_plans/vf_rss_test_plan.rst
@@ -54,6 +54,19 @@ Testpmd configuration - 4 RX/TX queues per port
 
   dpdk-testpmd -c 1f -n 3  -- -i --rxq=4 --txq=4
 
+
+Or set VF port to dcf and start up::
+
+   Enable kernel trust mode:
+
+       ip link set $PF_INTF vf 0 trust on
+
+    dpdk-testpmd -c 0x0f -n 4 -a 00:04.0,cap=dcf -a 00:05.0,cap=dcf -- -i --rxq=4 --txq=4
+
+.. note::
+
+   make dcf as full feature pmd is dpdk22.07 feature, and only support E810 series nic.
+
 Testpmd Configuration Options
 -----------------------------
 
diff --git a/test_plans/vf_smoke_test_plan.rst b/test_plans/vf_smoke_test_plan.rst
index 33a3273c..7698947d 100644
--- a/test_plans/vf_smoke_test_plan.rst
+++ b/test_plans/vf_smoke_test_plan.rst
@@ -59,6 +59,19 @@ Prerequisites
     testpmd> start
     testpmd> show port info all
 
+Or set VF port to dcf and start up::
+
+   Enable kernel trust mode:
+
+       ip link set $PF_INTF vf 0 trust on
+
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xf -n 4 -a 0000:86:01.0,cap=dcf --file-prefix=pf -- -i --rxq=4
+    --txq=4
+
+.. note::
+
+   make dcf as full feature pmd is dpdk22.07 feature, and only support E810 series nic.
+
 
 Test Case 1: test enable and disable jumbo frame
 ====================================================
diff --git a/test_plans/vf_vlan_test_plan.rst b/test_plans/vf_vlan_test_plan.rst
index c183b3d6..e4b763a6 100644
--- a/test_plans/vf_vlan_test_plan.rst
+++ b/test_plans/vf_vlan_test_plan.rst
@@ -55,13 +55,25 @@ Prerequisites
 
      ./tools/dpdk_nic_bind.py --bind=igb_uio 00:04.0 00:05.0
 
-5. Start testpmd, set it in rxonly mode and enable verbose output::
+5. Start testpmd, set it i nrxonly mode and enable verbose output::
 
      dpdk-testpmd -c 0x0f -n 4 -a 00:04.0 -a 00:05.0 -- -i --portmask=0x3
      testpmd> set fwd rxonly
      testpmd> set verbose 1
      testpmd> start
 
+Or set VF port to dcf and start up::
+
+   Enable kernel trust mode:
+
+       ip link set $PF_INTF vf 0 trust on
+
+    dpdk-testpmd -c 0x0f -n 4 -a 00:04.0,cap=dcf -a 00:05.0,cap=dcf -- -i --portmask=0x3
+
+.. note::
+
+   make dcf as full feature pmd is dpdk22.07 feature, and only support E810 series nic.
+
 Test Case 1: Add port based vlan on VF
 ======================================
 